<template>
  <div class="dibs--form--input--with-picto">
    <money
      :id="id"
      v-model="currentValue"
      class="dibs--form--input"
      v-bind="money"
    />
    <div class="dibs--form--input--picto">CHF</div>
  </div>
</template>
<script>
import { Money } from 'v-money'
export default {
  components: { Money },
  props: {
    id: {
      type: [String],
      required: true,
    },
    default: {
      type: [String, Number],
      default: () => {
        return 0
      },
    },
    precision: {
      type: [Number],
      default: 0,
    },
  },
  data() {
    return {
      currentValue: this.default ? this.default : 0,
      money: {
        decimal: '.',
        thousands: '’',
        precision: this.precision,
        masked: false /* doesn't work with directive */,
      },
    }
  },
  watch: {
    currentValue(value) {
      this.$emit('input', value)
    },
  },
}
</script>
